# Uses of Interface
org.eclipse.e4.ui.model.application.ui.MImperativeExpression

Packages that use MImperativeExpression
Package
Description
org.eclipse.e4.ui.model.application.ui
Application programming interfaces describing the Eclipse 4 state and container model elements.
org.eclipse.e4.ui.model.application.ui.impl
org.eclipse.e4.ui.model.application.ui.util

## Uses of MImperativeExpression in org.eclipse.e4.ui.model.application.ui

Methods in org.eclipse.e4.ui.model.application.ui that return MImperativeExpression
Modifier and Type
Method
Description
`MImperativeExpression`
MUiFactory.`createImperativeExpression()`
Returns a new object of class 'Imperative Expression'.

## Uses of MImperativeExpression in org.eclipse.e4.ui.model.application.ui.impl

Classes in org.eclipse.e4.ui.model.application.ui.impl that implement MImperativeExpression
Modifier and Type
Class
Description
`class`
`ImperativeExpressionImpl`
An implementation of the model object 'Imperative Expression'.
Methods in org.eclipse.e4.ui.model.application.ui.impl that return MImperativeExpression
Modifier and Type
Method
Description
`MImperativeExpression`
UiFactoryImpl.`createImperativeExpression()`

## Uses of MImperativeExpression in org.eclipse.e4.ui.model.application.ui.util

Methods in org.eclipse.e4.ui.model.application.ui.util with parameters of type MImperativeExpression
Modifier and Type
Method
Description
`T1`
UiSwitch.`caseImperativeExpression(MImperativeExpression object)`
Returns the result of interpreting the object as an instance of 'Imperative Expression'.